
Redmine - Feature #2883

custom reports based on query

2009-03-02 19:32 - Oliver Schoenborn

Status: Closed Start date: 2009-03-02

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: Fixed   

Description

Once you can view a query result (say "all open features", which is query ID=2), you should be able to see the query fields and

further customize the result (like is possible in Trac) so that you don't have to create new reports from scratch.

Related issues:

Related to Redmine - Patch #6688: Improvements for query-views of Calendar an... Closed 2010-10-18

Has duplicate Redmine - Feature #3017: Adding filters over existing query Closed 2009-03-20

Has duplicate Redmine - Feature #3641: Display filters for custom queries Closed 2009-07-20

Associated revisions

Revision 2892 - 2009-09-20 09:39 - Jean-Philippe Lang

Makes saved query filters visible (#2883).

History

#1 - 2009-03-02 21:48 - Mischa The Evil

Sure this gets a +1 from me! It is my main reason for not using custom queries very often yet...

#2 - 2009-03-03 06:11 - Vasia Pupkin

+1

#3 - 2009-03-24 16:22 - Felipe Matos Moreira

+1. This will be definitely be an excellent feature to Redmine. I have to report to several managers in different ways and right now i have to do it taking

data directly from the redmine database. It would be very helpful to build the reports inside of it.

#4 - 2009-03-25 09:20 - Konstantin Zaitsev

+1

#5 - 2009-09-15 19:15 - Guilherme Schneider

+1

#6 - 2009-09-20 09:36 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.9.0

- Resolution set to Fixed

Change done in r2892.
